OpenTTD: ResultSpriteGroup Struct Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
ResultSpriteGroup Struct Reference
Inheritance diagram for ResultSpriteGroup:

## Public Member Functions
| ResultSpriteGroup (SpriteID sprite, byte num_sprites)
| Creates a spritegroup representing a sprite number result.
SpriteID | GetResult () const
byte | GetNumResults () const
Public Member Functions inherited from SpriteGroup
virtual uint16 | GetCallbackResult () const
Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_spritegroup_pool >
void * | operator new (size_t size)
| Allocates space for new Titem.
void * | operator new (size_t size, size_t index)
| Allocates space for new Titem with given index.
void * | operator new (size_t size, void *ptr)
| Allocates space for new Titem at given memory address.
void | operator delete (void *p)
| Marks Titem as free.

## Data Fields
SpriteID | sprite
byte | num_sprites
Data Fields inherited from SpriteGroup
SpriteGroupType | type
Data Fields inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_spritegroup_pool >
Tindex | index
| Index of this pool item.

## Additional Inherited Members
Static Public Member Functions inherited from SpriteGroup
static const SpriteGroup * | Resolve (const SpriteGroup *group, ResolverObject &object, bool top_level=true)
| ResolverObject (re)entry point.
Protected Member Functions inherited from SpriteGroup
| SpriteGroup (SpriteGroupType type)
virtual const SpriteGroup * | Resolve (ResolverObject &object) const
| Base sprite group resolver.

## Detailed Description

Definition at line 244 of file newgrf_spritegroup.h.

## Constructor & Destructor Documentation

ResultSpriteGroup::ResultSpriteGroup | ( | SpriteID | sprite,
|  | byte | num_sprites
| ) |  |
| inline

Creates a spritegroup representing a sprite number result.

Parameters

  sprite | The sprite number.
  num_sprites | The number of sprites per set.

Returns
  A spritegroup representing the sprite number result.

Definition at line 251 of file newgrf_spritegroup.h.

The documentation for this struct was generated from the following file:

- src/newgrf_spritegroup.h